package ita.trem.gui;

import java.awt.Color;

import javax.swing.table.DefaultTableCellRenderer;


public class StateColumnRenderer extends DefaultTableCellRenderer {
    
  public StateColumnRenderer() { 
    super(); 
  }

  public void setValue(Object value) {
    if (String.valueOf(value).equalsIgnoreCase("unknown")){
      setBackground(Color.WHITE);
      setForeground(Color.black);
    }
    else {
      if (String.valueOf(value).equalsIgnoreCase("Up to date")){
        setBackground(new Color(198,214,255));
        setForeground(Color.BLACK);
      }
      else{
        if (String.valueOf(value).equalsIgnoreCase("Missing")){
          setBackground(Color.RED);
          setForeground(Color.WHITE);
        }
        else {
          setBackground(Color.green.darker());
          setForeground(Color.WHITE);
        }
      
      }
    }
    
    setText((value == null) ? "" :String.valueOf(value));
  }
}

